var __classPrivateFieldGet = (this && this.__classPrivateFieldGet) || function (receiver, state, kind, f) {
    if (kind === "a" && !f) throw new TypeError("Private accessor was defined without a getter");
    if (typeof state === "function" ? receiver !== state || !f : !state.has(receiver)) throw new TypeError("Cannot read private member from an object whose class did not declare it");
    return kind === "m" ? f : kind === "a" ? f.call(receiver) : f ? f.value : state.get(receiver);
};
var _AssistantPath_allPath;
import path from 'node:path';
class AssistantPath {
    constructor() {
        _AssistantPath_allPath.set(this, {
            report: ['report'],
            image: ['image'],
            resizedImage: ['image', 'resized'],
            dataBase: ['database'],
            updater: ['updater'],
            credential: ['credential'],
        });
    }
    getDataPath() {
        const { ASSIST_CONTROL_DATA_PATH } = process.env;
        if (!ASSIST_CONTROL_DATA_PATH || ASSIST_CONTROL_DATA_PATH.includes('<>')) {
            throw new Error('Invalid value for variable {ASSIST_CONTROL_DATA_PATH}');
        }
        return ASSIST_CONTROL_DATA_PATH;
    }
    basePathJoin(...paths) {
        const basePath = this.getDataPath();
        return path.join(basePath, ...paths);
    }
    getAllPath() {
        return Object.keys(__classPrivateFieldGet(this, _AssistantPath_allPath, "f")).reduce((result, key) => {
            result[key] = this.basePathJoin(...__classPrivateFieldGet(this, _AssistantPath_allPath, "f")[key]);
            return result;
        }, {});
    }
    getImagePath() {
        return this.basePathJoin(...__classPrivateFieldGet(this, _AssistantPath_allPath, "f").image);
    }
    getResizedImagePath() {
        return this.basePathJoin(...__classPrivateFieldGet(this, _AssistantPath_allPath, "f").resizedImage);
    }
    getReportPath() {
        return this.basePathJoin(...__classPrivateFieldGet(this, _AssistantPath_allPath, "f").report);
    }
    getDataBasePath() {
        return this.basePathJoin(...__classPrivateFieldGet(this, _AssistantPath_allPath, "f").dataBase);
    }
    getUpdaterVersionPath() {
        return this.basePathJoin(...__classPrivateFieldGet(this, _AssistantPath_allPath, "f").updater);
    }
    getCredentialPath() {
        return this.basePathJoin(...__classPrivateFieldGet(this, _AssistantPath_allPath, "f").credential);
    }
}
_AssistantPath_allPath = new WeakMap();
const instance = new AssistantPath();
export { instance as AssistantPath };
export default instance;
