import { createHash } from 'node:crypto';
class Hash {
    generate(data) {
        const minified = JSON.stringify(data);
        return createHash('shake256', { outputLength: 16 }).update(minified).digest('hex');
    }
}
const instance = new Hash();
export { instance as Hash };
export default instance;
